tigase.jaxmpp.j2se.connectors.socket

## Class DefaultHostnameVerifier

- java.lang.Object
- - tigase.jaxmpp.j2se.connectors.socket.DefaultHostnameVerifier

- All Implemented Interfaces:
    HostnameVerifier, JaxmppHostnameVerifier

      public class DefaultHostnameVerifier
      extends Object
      implements HostnameVerifier, JaxmppHostnameVerifier

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHostnameVerifier()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `extractCN(X500Principal principal)`
    `protected boolean` | `match(String hostname, String altName)`
    `boolean` | `verify(String hostname, Certificate certificate)`
    `boolean` | `verify(String hostname, SSLSession session)`
    `protected boolean` | `verifyHostname(String hostname, X509Certificate x509Certificate)`
    `protected boolean` | `verifyIp(String ipAddr, X509Certificate x509Certificate)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final Logger log

  - ### Constructor Detail

    - #### DefaultHostnameVerifier

          public DefaultHostnameVerifier()

  - ### Method Detail

    - #### extractCN

          protected static String extractCN(X500Principal principal)

    - #### match

          protected boolean match(String hostname,
                                  String altName)

    - #### verify

          public boolean verify(String hostname,
                                Certificate certificate)

      Specified by:
        `verify` in interface `JaxmppHostnameVerifier`

    - #### verify

          public boolean verify(String hostname,
                                SSLSession session)

      Specified by:
        `verify` in interface `HostnameVerifier`

    - #### verifyHostname

          protected boolean verifyHostname(String hostname,
                                           X509Certificate x509Certificate)
                                    throws CertificateParsingException

      Throws:
        `CertificateParsingException`

    - #### verifyIp

          protected boolean verifyIp(String ipAddr,
                                     X509Certificate x509Certificate)
                              throws CertificateParsingException

      Throws:
        `CertificateParsingException`

Copyright © 2006–2019 Tigase. All rights reserved.